org.yaml.snakeyaml.extensions.compactnotation

## Class CompactConstructor.ConstructCompactObject

- java.lang.Object
- - org.yaml.snakeyaml.constructor.Constructor.ConstructMapping
  - - org.yaml.snakeyaml.extensions.compactnotation.CompactConstructor.ConstructCompactObject

All Implemented Interfaces:
  Construct

Enclosing class:
  CompactConstructor

    public class CompactConstructor.ConstructCompactObject
    extends Constructor.ConstructMapping

### Constructor Summary

Constructors
Constructor and Description
`CompactConstructor.ConstructCompactObject()`

### Method Summary

Methods
`Object` `construct(Node node)` Construct JavaBean.
`void` `construct2ndStep(Node node, Object object)` Apply the second step when constructing recursive structures.

### Methods inherited from class org.yaml.snakeyaml.constructor.Constructor.ConstructMapping

`constructJavaBean2ndStep, getProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompactConstructor.ConstructCompactObject

    public CompactConstructor.ConstructCompactObject()

### Method Detail

#### construct2ndStep

    public void construct2ndStep(Node node,
                        Object object)

Description copied from interface: `Construct`
Apply the second step when constructing recursive structures. Because the instance is already created it can assign a reference to itself.

Specified by:
  `construct2ndStep` in interface `Construct`
Overrides:
  `construct2ndStep` in class `Constructor.ConstructMapping`
Parameters:
  `node` - composed Node
  `object` - the instance constructed earlier by `construct(Node node)` for the provided Node

#### construct

    public Object construct(Node node)

Description copied from class: `Constructor.ConstructMapping`
Construct JavaBean. If type safe collections are used please look at `TypeDescription`.

Specified by:
  `construct` in interface `Construct`
Overrides:
  `construct` in class `Constructor.ConstructMapping`
Parameters:
  `node` - node where the keys are property names (they can only be `String`s) and values are objects to be created
Returns:
  constructed JavaBean